#ifndef LEDS_H
#define LEDS_H

// handles LEDs
// Arduino UNO R3 uses ATmega328 and can drive 40mA
class Leds {
  private:
    // raw GPIOs, able to PWM
    static const int pinLed0 = 9 ;
    static const int pinLed1 = 10 ;
    static const int pinLed2 = 11 ;
    // internal LED 13 tied to an input switch

  public:
    void setup(void) {
      pinMode(pinLed0, OUTPUT);
      pinMode(pinLed1, OUTPUT);
      pinMode(pinLed2, OUTPUT);
      // all OFF
      set(0, false) ;
      set(1, false) ;
      set(2, false) ;
    }

    // write LED state. TRUE = ON
    void set(int ledNr, bool state) {
      int pinNr = ledNr + pinLed0 ;
      digitalWrite(pinNr, state) ;
    }
} ;


#endif // LEDS_H
